Bug 1313198 - Wrong help info for `oc set` command
Wrong help info for `oc set` command
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Juan Vallejo
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 02:55 EST by Xingxing Xia
Modified: 2016-09-19 09:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1390528 (view as bug list)
Environment:
Last Closed: 2016-09-19 09:52:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xingxing Xia 2016-03-01 02:55:50 EST
Description of problem:
See below.

Version-Release number of selected component (if applicable):
oc v1.1.3-342-g8f04689
kubernetes v1.2.0-alpha.7-703-gbc4550d

How reproducible:
Always

Steps to Reproduce:
1. $ oc set -h
2. $ oc set triggers -h
3.

Actual results:
1. There is:
Use "oc set help <command>" for more information about a given command.

Order is wrong for "set help". If run `oc set help triggers`, we got error.

2. 
1> There is:
Use "oc set triggers options" for a list of global command-line options (applies to all commands).
2> There is extra “=“ in the "Examples":
oc set triggers bc/webapp --from-github=
oc set triggers bc/webapp --from-webhook=

Expected results:
1. Should be "oc help set <command>".
2.
1> Should be "oc options"
2> Should remove =


Additional info:
Comment 1 Juan Vallejo 2016-08-02 10:42:56 EDT
Hm, I noticed that `oadm policy -h` has the same issue. I will look into this as well.
Comment 2 Juan Vallejo 2016-08-02 15:25:36 EDT
Related PR: https://github.com/openshift/origin/pull/10172
Comment 3 Juan Vallejo 2016-08-04 10:37:21 EDT
Related PR: https://github.com/openshift/origin/pull/10172
Comment 4 Xingxing Xia 2016-08-10 06:34:52 EDT
Verified in:
oc v1.3.0-alpha.3+f1c0be6
kubernetes v1.3.0+507d3a7
features: Basic-Auth GSSAPI Kerberos SPNEGO

The help info in comment 0 is now correct

Note You need to log in before you can comment on or make changes to this bug.